public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
* fence: master - build: cleanup autogen and stop warnings on configure
@ 2009-06-17 11:29 Fabio M. Di Nitto
  0 siblings, 0 replies; only message in thread
From: Fabio M. Di Nitto @ 2009-06-17 11:29 UTC (permalink / raw)
  To: cluster-cvs-relay

Gitweb:        http://git.fedorahosted.org/git/fence.git?p=fence.git;a=commitdiff;h=f047d0ad721b01529537dec7486707daf3e4a2fe
Commit:        f047d0ad721b01529537dec7486707daf3e4a2fe
Parent:        d7d4edefae0a2556cac706172e3193d0b4bbdbb0
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Wed Jun 17 13:28:31 2009 +0200
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Wed Jun 17 13:28:31 2009 +0200

build: cleanup autogen and stop warnings on configure

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 autogen.sh   |  151 +---------------------------------------------------------
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 151 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 647ec5e..7f0f2eb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,153 +1,4 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-testProgram()
-{
-  cmd=$1
-
-  if [ -z "$cmd" ]; then
-    return 1;
-  fi
-
-  arch=`uname -s`
-
-  # Make sure the which is in an if-block... on some platforms it throws exceptions
-  #
-  # The ERR trap is not executed if the failed command is part
-  #   of an until or while loop, part of an if statement, part of a &&
-  #   or  ||  list.
-  if
-     which $cmd  </dev/null >/dev/null 2>&1
-  then
-      :
-  else
-      return 1
-  fi
-
-  # The GNU standard is --version
-  if
-      $cmd --version </dev/null >/dev/null 2>&1
-  then
-      return 0
-  fi
-
-  # Maybe it suppports -V instead
-  if
-      $cmd -V </dev/null >/dev/null 2>&1
-  then
-      return 0
-  fi
-
-  # Nope, the program seems broken
-  return 1
-}
-
-arch=`uname -s`
-# Disable the errors on FreeBSD until a fix can be found.
-if [ ! "$arch" = "FreeBSD" ]; then
-set -e
-#
-#	All errors are fatal from here on out...
-#	The shell will complain and exit on any "uncaught" error code.
-#
-#
-#	And the trap will ensure sure some kind of error message comes out.
-#
-trap 'echo ""; echo "$0 exiting due to error (sorry!)." >&2' 0
-fi
-
-RC=0
-
-gnu="ftp://ftp.gnu.org/pub/gnu"
-
-# Check for Autoconf
-for command in autoconf autoconf213 autoconf253 autoconf259
-do
-  if
-      testProgram $command == 1
-  then
-    autoconf=$command
-    autoheader=`echo  "$autoconf" | sed -e 's/autoconf/autoheader/'`
-    autom4te=`echo  "$autoconf" | sed -e 's/autoconf/autmo4te/'`
-    autoreconf=`echo  "$autoconf" | sed -e 's/autoconf/autoreconf/'`
-    autoscan=`echo  "$autoconf" | sed -e 's/autoconf/autoscan/'`
-    autoupdate=`echo  "$autoconf" | sed -e 's/autoconf/autoupdate/'`
-    ifnames=`echo  "$autoconf" | sed -e 's/autoconf/ifnames/'`
-  fi
-done
-
-# Check for automake
-for command in automake19 automake-1.9 automake
-do
-  if
-      testProgram $command
-  then
-    automake=$command
-    aclocal=`echo  "$automake" | sed -e 's/automake/aclocal/'`
-
-  fi
-done
-
-# Check for libtool
-for command in libtoolize
-do
-  if
-      testProgram $command
-  then
-    libtoolize=$command
-  fi
-done
-
-if [ -z $autoconf ]; then
-    echo You must have autoconf installed to compile this package.
-    echo Download the appropriate package for your system,
-    echo or get the source tarball at: $gnu/autoconf/
-    exit 1
-
-elif [ -z $automake ]; then
-    echo You must have automake installed to compile this package.
-    echo Download the appropriate package for your system,
-    echo or get the source tarball at: $gnu/automake/
-    exit 1
-
-elif [ -z $libtoolize ]; then
-    echo You must have libtool installed to compile this package.
-    echo Download the appropriate package for your system,
-    echo or get the source tarball at: $gnu/libtool/
-    exit 1
-
-fi
-
-# Create local copies so that the incremental updates will work.
-rm -f ./autoconf ./automake ./autoheader ./libtoolize
-ln -s `which $autoconf` ./autoconf
-ln -s `which $automake` ./automake
-ln -s `which $autoheader` ./autoheader
-ln -s `which $libtoolize` ./libtoolize
-
-printf "$autoconf:\t"
-$autoconf --version | head -n 1
-
-printf "$automake:\t"
-$automake --version | head -n 1
-
-printf "$libtoolize:\t"
-$libtoolize --version | head -n 1
-
-echo $libtoolize --copy --install
-$libtoolize --copy --install
-
-echo $aclocal $ACLOCAL_FLAGS
-$aclocal $ACLOCAL_FLAGS
-
-echo $autoheader
-$autoheader
-
-echo $automake --add-missing --include-deps --copy
-$automake --add-missing --include-deps --copy
-
-echo $autoconf
-$autoconf
-
-echo Now run ./configure
-trap '' 0
+autoreconf -i -v && echo Now run ./configure and make
diff --git a/configure.ac b/configure.ac
index 203f0c6..ab4c3d3 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3,7 +3,7 @@
 
 AC_PREREQ([2.63b])
 AC_INIT([fence], [master], [linux-cluster@redhat.com])
-AM_INIT_AUTOMAKE
+AM_INIT_AUTOMAKE([-Wno-portability])
 LT_PREREQ([2.2.7])
 LT_INIT
 


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2009-06-17 11:29 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2009-06-17 11:29 fence: master - build: cleanup autogen and stop warnings on configure Fabio M. Di Nitto

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).